# /homes/fmmarquesmadeira/Projects/jabaws/binaries/src/ViennaRNA/H/findpath.h File Reference

Compute direct refolding paths between two secondary structures. More...

Include dependency graph for findpath.h:

Go to the source code of this file.

## Functions
int | find_saddle (const char *seq, const char *struc1, const char *struc2, int max)
| Find energy of a saddle point between 2 structures (serch only direct path).
path_t * | get_path (const char *seq, const char *s1, const char *s2, int maxkeep)
| Find refolding path between 2 structures (serch only direct path).
void | free_path (path_t *path)
| Free memory allocated by get_path() function.

## Detailed Description

Compute direct refolding paths between two secondary structures.

## Function Documentation

int find_saddle | ( | const char * | seq,
|  | const char * | struc1,
|  | const char * | struc2,
|  | int | max |
| ) |  |  |

Find energy of a saddle point between 2 structures (serch only direct path).

Parameters:

  | seq | RNA sequence
  | struc1 | A pointer to the character array where the first secondary structure in dot-bracket notation will be written to
  | struc2 | A pointer to the character array where the second secondary structure in dot-bracket notation will be written to
  | max | integer how many strutures are being kept during the search

Returns:
  the saddle energy in 10cal/mol

path_t* get_path | ( | const char * | seq,
|  | const char * | s1,
|  | const char * | s2,
|  | int | maxkeep |
| ) |  |  |

Find refolding path between 2 structures (serch only direct path).

Parameters:

  | seq | RNA sequence
  | s1 | A pointer to the character array where the first secondary structure in dot-bracket notation will be written to
  | s2 | A pointer to the character array where the second secondary structure in dot-bracket notation will be written to
  | maxkeep | integer how many strutures are being kept during the search

Returns:
  direct refolding path between two structures

void free_path | ( | path_t * | path | ) |

Free memory allocated by get_path() function.

Parameters:

  | path | pointer to memory to be freed